Bug 1570320 - [abrt] gnome-software: g_hash_table_lookup_node(): gnome-software killed by SIGABRT
Summary: [abrt] gnome-software: g_hash_table_lookup_node(): gnome-software killed by S...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3cc4fbbbef8f5b45fb0de196497...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-21 22:26 UTC by Duncan Grisby
Modified: 2018-11-30 21:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:10:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (42.47 KB, text/plain)
2018-04-21 22:26 UTC, Duncan Grisby
no flags Details
File: cgroup (196 bytes, text/plain)
2018-04-21 22:26 UTC, Duncan Grisby
no flags Details
File: core_backtrace (25.87 KB, text/plain)
2018-04-21 22:26 UTC, Duncan Grisby
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2018-04-21 22:27 UTC, Duncan Grisby
no flags Details
File: dso_list (16.80 KB, text/plain)
2018-04-21 22:27 UTC, Duncan Grisby
no flags Details
File: environ (1.91 KB, text/plain)
2018-04-21 22:27 UTC, Duncan Grisby
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-21 22:27 UTC, Duncan Grisby
no flags Details
File: maps (78.53 KB, text/plain)
2018-04-21 22:27 UTC, Duncan Grisby
no flags Details
File: mountinfo (4.03 KB, text/plain)
2018-04-21 22:27 UTC, Duncan Grisby
no flags Details
File: open_fds (3.49 KB, text/plain)
2018-04-21 22:27 UTC, Duncan Grisby
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-04-21 22:27 UTC, Duncan Grisby
no flags Details

Description Duncan Grisby 2018-04-21 22:26:50 UTC
Description of problem:
Just logged in, immediately the ABRT notification popped up.

Version-Release number of selected component:
gnome-software-3.28.1-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_hash_table_lookup_node
executable:     /usr/bin/gnome-software
journald_cursor: s=86d9c54c29094d41a5c189faf6e74773;i=960f3a;b=7bf80d4973b041438d53910edaa02539;m=25e7c47c10;t=56a62de9381ee;x=fbbbade0c9116a09
kernel:         4.15.17-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #4 g_hash_table_lookup_node at ghash.c:377
 #5 g_hash_table_lookup at ghash.c:1153
 #6 as_hash_lookup_by_locale at ../libappstream-glib/as-utils.c:86
 #7 as_app_get_name at ../libappstream-glib/as-app.c:1865
 #8 as_app_create_token_cache_target at ../libappstream-glib/as-app.c:5792
 #9 as_app_create_token_cache at ../libappstream-glib/as-app.c:5850
 #10 as_app_search_matches at ../libappstream-glib/as-app.c:5880
 #12 g_thread_proxy at gthread.c:784

Potential duplicate: bug 1570096

Comment 1 Duncan Grisby 2018-04-21 22:26:56 UTC
Created attachment 1425155 [details]
File: backtrace

Comment 2 Duncan Grisby 2018-04-21 22:26:57 UTC
Created attachment 1425156 [details]
File: cgroup

Comment 3 Duncan Grisby 2018-04-21 22:26:59 UTC
Created attachment 1425157 [details]
File: core_backtrace

Comment 4 Duncan Grisby 2018-04-21 22:27:00 UTC
Created attachment 1425158 [details]
File: cpuinfo

Comment 5 Duncan Grisby 2018-04-21 22:27:03 UTC
Created attachment 1425159 [details]
File: dso_list

Comment 6 Duncan Grisby 2018-04-21 22:27:04 UTC
Created attachment 1425160 [details]
File: environ

Comment 7 Duncan Grisby 2018-04-21 22:27:06 UTC
Created attachment 1425161 [details]
File: limits

Comment 8 Duncan Grisby 2018-04-21 22:27:08 UTC
Created attachment 1425162 [details]
File: maps

Comment 9 Duncan Grisby 2018-04-21 22:27:10 UTC
Created attachment 1425163 [details]
File: mountinfo

Comment 10 Duncan Grisby 2018-04-21 22:27:11 UTC
Created attachment 1425164 [details]
File: open_fds

Comment 11 Duncan Grisby 2018-04-21 22:27:13 UTC
Created attachment 1425165 [details]
File: proc_pid_status

Comment 12 Ben Cotton 2018-11-27 16:04:47 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2018-11-30 21:10:16 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.